<?php
  ///////////////////////////////////////////////////
  //2010 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if (is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['supp-mar-title1'];
  $helppage = $TEXT['supp-mar-help1'];

  require_once "../config.php";
  require_once "../util/top_layer1.php";

  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(!isset($button)) $button = $TEXT['btn_add'];
  if(!isset($action)) $action = "add.php";
  if(!isset($showhide)) $visible = "checked";

  $query = "SELECT MAX(position) AS position FROM `tbl_marsh`";
     $result = mysql_query($query);
     if(!$result) puterror2($TEXT['error-tbl42']);
     $tmp = mysql_fetch_array($result);
     $pos = $tmp['position'] + 1;
?>
<form enctype='multipart/form-data' action=<?php echo $action; ?> method=post>
<table>
<tr><td class=useraddedit><?php echo $TEXT['supp-mar2']; ?></td><td class=useraddedit><input size=30 maxlength=255 class=inputmandatory type=text name=marsh ></td></tr>
<tr><td class=useraddedit><?php echo $TEXT['tbl-position']; ?></td><td class=useraddedit><input size=3 maxlength=11 class=inputmandatory type=text name=position value="<?php echo $pos; ?>"></td></tr>
<tr><td class=useraddedit><?php echo $TEXT['global-visible']; ?></td><td><input type=checkbox name=visible <?php echo $visible; ?>></td></tr>
<tr><td></td><td><input class=button type=submit value='<?php echo $button; ?>'></td></tr>
</table>
</form>
<?php
  require_once "../util/bottom.php";
?>